Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BallLocatorParameters Class Reference

`#include <GT2005BallLocatorParameters.h>`

List of all members.

## Public Member Functions
| GT2005BallLocatorParameters ()
## Static Public Attributes
double | coefficientOfFriction = 0.006
double | measurementNoise = 0.0125
double | systemNoise = 0.025
double | particleProbThreshold = 0.05
double | timesBallRadius = 10
double | timeFactorThreshold = 10
double | throwInProb = 0.2
double | timesPartProb = 4
double | randomLimitV = 50
double | velocityWeightXDirection = 0.25
double | percentNumPartInside = 0.05
double | particleProbDecreaseStep = 0.025
double | nearPerceptValue1 = 0.2
double | nearPerceptValue2 = 0.5
double | nearPerceptValue3 = 0.5
double | nearPerceptValue4 = 0.2
double | farPerceptValue1 = 0.1
double | farPerceptValue2 = 0.25

## Constructor & Destructor Documentation

GT2005BallLocatorParameters::GT2005BallLocatorParameters | ( |  | ) |

| Definition at line 29 of file GT2005BallLocatorParameters.cpp.

## Member Data Documentation

double GT2005BallLocatorParameters::coefficientOfFriction = 0.006`[static]`

| Definition at line 10 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::measurementNoise = 0.0125`[static]`

| Definition at line 11 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::systemNoise = 0.025`[static]`

| Definition at line 12 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::particleProbThreshold = 0.05`[static]`

| Definition at line 13 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::timesBallRadius = 10`[static]`

| Definition at line 14 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::timeFactorThreshold = 10`[static]`

| Definition at line 15 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::throwInProb = 0.2`[static]`

| Definition at line 16 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::timesPartProb = 4`[static]`

| Definition at line 17 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::randomLimitV = 50`[static]`

| Definition at line 18 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::velocityWeightXDirection = 0.25`[static]`

| Definition at line 19 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::percentNumPartInside = 0.05`[static]`

| Definition at line 20 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::particleProbDecreaseStep = 0.025`[static]`

| Definition at line 21 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::nearPerceptValue1 = 0.2`[static]`

| Definition at line 22 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::nearPerceptValue2 = 0.5`[static]`

| Definition at line 23 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::nearPerceptValue3 = 0.5`[static]`

| Definition at line 24 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::nearPerceptValue4 = 0.2`[static]`

| Definition at line 25 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::farPerceptValue1 = 0.1`[static]`

| Definition at line 26 of file GT2005BallLocatorParameters.cpp.

double GT2005BallLocatorParameters::farPerceptValue2 = 0.25`[static]`

| Definition at line 27 of file GT2005BallLocatorParameters.cpp.

The documentation for this class was generated from the following files:

- Modules/BallLocator/GT2005BallLocatorParameters.h
- Modules/BallLocator/GT2005BallLocatorParameters.cpp